/**
 * 配置文档地址
 * https://ckeditor.com/docs/ckeditor5/latest/api/adapter-ckfinder.html
 */

export const knowledgeEditorConfig = {
  language: 'zh-cn',
  fontFamily: {},
  fontSize: {
    options: [9, 11, 13, 'default', 17, 19, 21],
    supportAllValues: true,
  },
  toolbar: [
    'heading',
    '|',
    'bold',
    'italic',
    'Link',
    'bulletedList',
    'numberedList',
    'alignment',
    '|',
    'fontFamily',
    'fontSize',
    'fontColor',
    'fontBackgroundColor',
    'highlight',
    '|',
    'blockQuote',
    '|',
    'undo',
    'redo',
  ],
};
